# FoundationClasses
TKAdvTools
GraphTools

# GraphTools_TSNode Class Reference

`#include <GraphTools_TSNode.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GraphTools_TSNode ()
Standard_EXPORT void | Reset ()
Standard_EXPORT void | IncreaseRef ()
Standard_EXPORT void | DecreaseRef ()
Standard_EXPORT Standard_Integer | NbRef () const
Standard_EXPORT void | AddSuccessor (const Standard_Integer s)
Standard_EXPORT Standard_Integer | NbSuccessors () const
Standard_EXPORT Standard_Integer | GetSuccessor (const Standard_Integer index) const

## Private Attributes

Standard_Integer | referenceCount
TColStd_SequenceOfInteger | mySuccessors

## Constructor & Destructor Documentation

Standard_EXPORT GraphTools_TSNode::GraphTools_TSNode | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void GraphTools_TSNode::AddSuccessor | ( | const Standard_Integer | s | ) |

Standard_EXPORT void GraphTools_TSNode::DecreaseRef | ( |  | ) |

Standard_EXPORT Standard_Integer GraphTools_TSNode::GetSuccessor | ( | const Standard_Integer | index | ) | const

Standard_EXPORT void GraphTools_TSNode::IncreaseRef | ( |  | ) |

Standard_EXPORT Standard_Integer GraphTools_TSNode::NbRef | ( |  | ) | const

Standard_EXPORT Standard_Integer GraphTools_TSNode::NbSuccessors | ( |  | ) | const

void GraphTools_TSNode::operator delete | ( | void * | anAddress | ) | `[inline]`

void* GraphTools_TSNode::operator new | ( | size_t | size | ) | `[inline]`

void* GraphTools_TSNode::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void GraphTools_TSNode::Reset | ( |  | ) |

## Field Documentation

TColStd_SequenceOfInteger GraphTools_TSNode::mySuccessors `[private]`

Standard_Integer GraphTools_TSNode::referenceCount `[private]`

The documentation for this class was generated from the following file:

- GraphTools_TSNode.hxx